- Qbs Manual
- QbsLanguageItems
- PropertyOptions
- Qbs 3.3.1

Properties ◦ Rule

# PropertyOptions

Provides inline documentation for properties within product and module items. More...

- List of all members, including inherited members
- PropertyOptions is part of List of All Items.

## Properties

- allowedValues : stringList
- description : string
- name : string

## Detailed Description

A PropertyOptions item can appear inside a Product or Module item to provide inline documentation for properties.

## Property Documentation

### allowedValues : stringList

A list of the values permitted by the property.

The default value, `undefined`, indicates that any value is permitted.

### description : string

A brief description of the property.

Default: Undefined

### name : string

The name of the property to document.

Default: Undefined